<?php

use yii\db\Migration;

/**
 * Handles adding columns to table `{{%profile}}`.
 */
class m251112_123802_add_address_and_birthdate_to_profile extends Migration
{
    public function safeUp()
    {
        $this->addColumn('{{%profile}}', 'address', $this->string()->after('user_id'));
        $this->addColumn('{{%profile}}', 'birth_date', $this->date()->after('address'));
    }

    public function safeDown()
    {
        $this->dropColumn('{{%profile}}', 'birth_date');
        $this->dropColumn('{{%profile}}', 'address');
    }
}
